from django.utils.translation import ugettext_lazy as _

from admin_tools.dashboard import modules

class MailerDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': "Mailers",
            'display': "tabs",
            'children': [
                MailerModels(),
                MailerOtherModels(),
                MailerSettings(),
                ]
        }
        super(MailerDashboard, self).__init__(**kwargs)

class MailerModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Models"),
            'models': ('mailer.models.EmailObject', 'mailer.models.MailingStatus'),
            }
        super(MailerModels, self).__init__(**kwargs)

class MailerOtherModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Others"),
            'models': (
                'mailer.models.SMTPServer', 'mailer.models.BounceServer',
                'mailer.models.Link'
            ),
        }
        super(MailerOtherModels, self).__init__(**kwargs)

class MailerSettings(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Settings"),
            'models':['mailer.models.Settings',],
            }
        super(MailerSettings, self).__init__(**kwargs)
