from django.db.models.loading import get_model
from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from django.conf import settings
from django.contrib import admin

from admin_tools.menu import items, Menu
from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user


def get_root_menu(children):
    user = get_current_user()

    if user.has_perm("organization.view_mailer") and get_model("mailer", "emailobject") in admin.site._registry:
        root_menu = items.MenuItem(
            title=_('Mailer'),
            children=[],
            url = reverse('admin:mailer_emailobject_changelist')
        )
        children.append(root_menu)
    return None

def add_extended_menuitems(children, current_app):
    generic_menu = GenericMenuItem(current_app, ['emailobject', 'mailingstatus', 'smtpserver', 'bounceserver'])
    mailer_menu = generic_menu.get_menu()
    [ children.append(menu) for menu in mailer_menu ]
