"""Command for sending the newsletter"""
from django.conf import settings
from django.utils.translation import activate
from django.core.management.base import NoArgsCommand

from mailer.sender import Mailer
from mailer.models import EmailObject


class Command(NoArgsCommand):
    """Send the newsletter in queue"""
    help = 'Send mails in queue'

    def handle_noargs(self, **options):
        verbose = int(options['verbosity'])

        if verbose:
            print 'Starting sending mailss...'

        activate(settings.LANGUAGE_CODE)

        for email in EmailObject.objects.exclude(status=EmailObject.SENT).exclude(status=EmailObject.DRAFT).exclude(status=EmailObject.CANCELED):
            mailer = Mailer(email, verbose=verbose)
            if mailer.can_send:
                if verbose:
                    print 'Start emailing %s: %s' % (email.email_address, email.subject)
                mailer.send()

        if verbose:
            print 'End session sending'
