# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'BounceServer'
        db.create_table('mailer_bounceserver', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_bounceserver_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_bounceserver_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('host', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('user', self.gf('django.db.models.fields.CharField')(max_length=128, blank=True)),
            ('password', self.gf('django.db.models.fields.CharField')(max_length=128, blank=True)),
            ('port', self.gf('django.db.models.fields.IntegerField')(default=110)),
            ('tls', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal('mailer', ['BounceServer'])

        # Adding model 'SMTPServer'
        db.create_table('mailer_smtpserver', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_smtpserver_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_smtpserver_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('host', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('user', self.gf('django.db.models.fields.CharField')(max_length=128, blank=True)),
            ('password', self.gf('django.db.models.fields.CharField')(max_length=128, blank=True)),
            ('port', self.gf('django.db.models.fields.IntegerField')(default=25)),
            ('tls', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('headers', self.gf('django.db.models.fields.TextField')(blank=True)),
            ('mails_hour', self.gf('django.db.models.fields.IntegerField')(default=0)),
        ))
        db.send_create_signal('mailer', ['SMTPServer'])

        # Adding model 'Credit'
        db.create_table('mailer_credit', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_credit_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_credit_last_modifier', null=True, to=orm['auth.User'])),
            ('smtp_server', self.gf('django.db.models.fields.related.ForeignKey')(related_name='credits', to=orm['mailer.SMTPServer'])),
            ('dow_from', self.gf('django.db.models.fields.IntegerField')(max_length=1)),
            ('hour_from', self.gf('django.db.models.fields.TimeField')()),
            ('dow_to', self.gf('django.db.models.fields.IntegerField')(max_length=1)),
            ('hour_to', self.gf('django.db.models.fields.TimeField')()),
            ('mails_hour', self.gf('django.db.models.fields.IntegerField')(default=0)),
        ))
        db.send_create_signal('mailer', ['Credit'])

        # Adding unique constraint on 'Credit', fields ['smtp_server', 'dow_from', 'hour_from', 'dow_to', 'hour_to']
        db.create_unique('mailer_credit', ['smtp_server_id', 'dow_from', 'hour_from', 'dow_to', 'hour_to'])

        # Adding model 'EmailObject'
        db.create_table('mailer_emailobject', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_emailobject_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_emailobject_last_modifier', null=True, to=orm['auth.User'])),
            ('email_address', self.gf('django.db.models.fields.EmailField')(max_length=75)),
            ('subject', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('content', self.gf('jumbo.db.fields.HTMLField')()),
            ('smtp_server', self.gf('django.db.models.fields.related.ForeignKey')(related_name='emails', to=orm['mailer.SMTPServer'])),
            ('bounce_server', self.gf('django.db.models.fields.related.ForeignKey')(related_name='emails', to=orm['mailer.BounceServer'])),
            ('header_sender', self.gf('django.db.models.fields.CharField')(default='Thunder Systems Mailer<noreply@thundersystems.it>', max_length=255)),
            ('header_reply', self.gf('django.db.models.fields.CharField')(default='Thunder Systems Mailer<noreply@thundersystems.it>', max_length=255)),
            ('slug', self.gf('django.db.models.fields.SlugField')(unique=True, max_length=50, db_index=True)),
        ))
        db.send_create_signal('mailer', ['EmailObject'])

        # Adding model 'Link'
        db.create_table('mailer_link', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_link_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_link_last_modifier', null=True, to=orm['auth.User'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('url', self.gf('django.db.models.fields.CharField')(max_length=255)),
        ))
        db.send_create_signal('mailer', ['Link'])

        # Adding model 'Attachment'
        db.create_table('mailer_attachment', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_attachment_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_attachment_last_modifier', null=True, to=orm['auth.User'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('file_attachment', self.gf('django.db.models.fields.files.FileField')(max_length=255)),
        ))
        db.send_create_signal('mailer', ['Attachment'])

        # Adding model 'MailingStatus'
        db.create_table('mailer_mailingstatus', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_mailingstatus_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_mailingstatus_last_modifier', null=True, to=orm['auth.User'])),
            ('status', self.gf('django.db.models.fields.IntegerField')()),
            ('email_object', self.gf('django.db.models.fields.related.ForeignKey')(related_name='mailing_status', to=orm['mailer.EmailObject'])),
            ('opened', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('opened_on_site', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('link_opened', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('rfc_status', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
            ('diagnostic_code', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('first_open_date', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
        ))
        db.send_create_signal('mailer', ['MailingStatus'])

        # Adding model 'LinkMailingStatus'
        db.create_table('mailer_linkmailingstatus', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_linkmailingstatus_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_linkmailingstatus_last_modifier', null=True, to=orm['auth.User'])),
            ('mailing_status', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['mailer.MailingStatus'])),
            ('link', self.gf('django.db.models.fields.related.ForeignKey')(related_name='link_status', to=orm['mailer.Link'])),
            ('click', self.gf('django.db.models.fields.IntegerField')(default=0)),
        ))
        db.send_create_signal('mailer', ['LinkMailingStatus'])

        # Adding model 'Settings'
        db.create_table('mailer_settings', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_settings_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='mailer_settings_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('value', self.gf('django.db.models.fields.CharField')(max_length=500, null=True, blank=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=20)),
        ))
        db.send_create_signal('mailer', ['Settings'])


    def backwards(self, orm):
        
        # Removing unique constraint on 'Credit', fields ['smtp_server', 'dow_from', 'hour_from', 'dow_to', 'hour_to']
        db.delete_unique('mailer_credit', ['smtp_server_id', 'dow_from', 'hour_from', 'dow_to', 'hour_to'])

        # Deleting model 'BounceServer'
        db.delete_table('mailer_bounceserver')

        # Deleting model 'SMTPServer'
        db.delete_table('mailer_smtpserver')

        # Deleting model 'Credit'
        db.delete_table('mailer_credit')

        # Deleting model 'EmailObject'
        db.delete_table('mailer_emailobject')

        # Deleting model 'Link'
        db.delete_table('mailer_link')

        # Deleting model 'Attachment'
        db.delete_table('mailer_attachment')

        # Deleting model 'MailingStatus'
        db.delete_table('mailer_mailingstatus')

        # Deleting model 'LinkMailingStatus'
        db.delete_table('mailer_linkmailingstatus')

        # Deleting model 'Settings'
        db.delete_table('mailer_settings')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'mailer.attachment': {
            'Meta': {'object_name': 'Attachment'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_attachment_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'file_attachment': ('django.db.models.fields.files.FileField', [], {'max_length': '255'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_attachment_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        'mailer.bounceserver': {
            'Meta': {'object_name': 'BounceServer'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_bounceserver_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'host': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_bounceserver_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'}),
            'port': ('django.db.models.fields.IntegerField', [], {'default': '110'}),
            'tls': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'user': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'})
        },
        'mailer.credit': {
            'Meta': {'ordering': "('smtp_server', 'dow_from', 'hour_from')", 'unique_together': "(('smtp_server', 'dow_from', 'hour_from', 'dow_to', 'hour_to'),)", 'object_name': 'Credit'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_credit_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'dow_from': ('django.db.models.fields.IntegerField', [], {'max_length': '1'}),
            'dow_to': ('django.db.models.fields.IntegerField', [], {'max_length': '1'}),
            'hour_from': ('django.db.models.fields.TimeField', [], {}),
            'hour_to': ('django.db.models.fields.TimeField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_credit_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'mails_hour': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'smtp_server': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'credits'", 'to': "orm['mailer.SMTPServer']"})
        },
        'mailer.emailobject': {
            'Meta': {'ordering': "('-date_create',)", 'object_name': 'EmailObject'},
            'bounce_server': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'emails'", 'to': "orm['mailer.BounceServer']"}),
            'content': ('jumbo.db.fields.HTMLField', [], {}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_emailobject_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email_address': ('django.db.models.fields.EmailField', [], {'max_length': '75'}),
            'header_reply': ('django.db.models.fields.CharField', [], {'default': "'Thunder Systems Mailer<noreply@thundersystems.it>'", 'max_length': '255'}),
            'header_sender': ('django.db.models.fields.CharField', [], {'default': "'Thunder Systems Mailer<noreply@thundersystems.it>'", 'max_length': '255'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_emailobject_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '50', 'db_index': 'True'}),
            'smtp_server': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'emails'", 'to': "orm['mailer.SMTPServer']"}),
            'subject': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        'mailer.link': {
            'Meta': {'ordering': "('-date_create',)", 'object_name': 'Link'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_link_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_link_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        'mailer.linkmailingstatus': {
            'Meta': {'object_name': 'LinkMailingStatus'},
            'click': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_linkmailingstatus_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_linkmailingstatus_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'link': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'link_status'", 'to': "orm['mailer.Link']"}),
            'mailing_status': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['mailer.MailingStatus']"})
        },
        'mailer.mailingstatus': {
            'Meta': {'ordering': "('-date_create',)", 'object_name': 'MailingStatus'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_mailingstatus_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'diagnostic_code': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'email_object': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'mailing_status'", 'to': "orm['mailer.EmailObject']"}),
            'first_open_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_mailingstatus_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'link': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'mailing_status'", 'to': "orm['mailer.Link']", 'through': "orm['mailer.LinkMailingStatus']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True'}),
            'link_opened': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'opened': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'opened_on_site': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'rfc_status': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {})
        },
        'mailer.settings': {
            'Meta': {'object_name': 'Settings'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_settings_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_settings_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '500', 'null': 'True', 'blank': 'True'})
        },
        'mailer.smtpserver': {
            'Meta': {'object_name': 'SMTPServer'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_smtpserver_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'headers': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'host': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'mailer_smtpserver_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'mails_hour': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'}),
            'port': ('django.db.models.fields.IntegerField', [], {'default': '25'}),
            'tls': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'user': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'})
        }
    }

    complete_apps = ['mailer']
