"""Mailer to send newsletter"""
import datetime
from django.template import Template, Context
from jumbo.utils.functions import slugify
from mailer.models import EmailObject, SMTPServer, BounceServer

class Mailer(object):
    def __init__(self, newsletter, test=False, verbose=0):
        self.test = test
        self.verbose = verbose
        self.newsletter = newsletter
        self.newsletter_template = Template(self.newsletter.content)

    def run(self):
        """Send the newsletter"""
        mailing_list = self.newsletter.mailing_list
        if self.test:
            """ le email vengono mandate ai sottoscrittori di test"""
            subscribers = mailing_list.get_test_subscribers()
        else:
            """ le email vengono mandate a tutti i sottoscrittori attivi"""
            subscribers = mailing_list.get_subscribers()

        for subscriber in subscribers:
            try:
                email_object = EmailObject()
                if self.test:
                    """ lo stato dell'email e' 'sent test' """
                    email_object.status = EmailObject.TO_SEND_IN_TEST
                else:
                    """ lo stato dell'email e' 'to send' """
                    email_object.status = EmailObject.TO_SEND
                email_object.email_address = subscriber.content_object.email
                email_object.subject = self.newsletter.title
                context = Context({
                    'subscriber': subscriber
                })
                email_object.content = self.newsletter_template.render(context)
                email_object.slug = "%s" % datetime.datetime.now()
                email_object.smtp_server = SMTPServer.objects.get()
                email_object.bounce_server = BounceServer.objects.get()
                email_object.save()
            except Exception, e:
                print e

    @property
    def can_send(self):
        """Check if the newsletter can be sent"""
        # TOFIX
        return True