# -*- coding: utf-8 -*-

from django.conf.urls.defaults import url
from django.conf.urls.defaults import patterns

from newsletter.forms import MailingListSubscriptionForm
from newsletter.forms import AllMailingListSubscriptionForm

# NEWSLETTER
urlpatterns = patterns('newsletter.views',
    url(
        r'^preview/(?P<slug>[-\w]+)/$',
        'view_newsletter_preview',
        name='newsletter_newsletter_preview'
    ),
    url(
        r'^(?P<slug>[-\w]+)/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+)/$',
        'view_newsletter_contact',
        name='newsletter_newsletter_contact'
    ),
)

urlpatterns += patterns('newsletter.views',
    url(
        r'^mailing/unsubscribe/(?P<slug>[-\w]+)/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+)/$',
        'view_mailinglist_unsubscribe',
        name='newsletter_mailinglist_unsubscribe'
    ),
    url(
        r'^mailing/subscribe/(?P<mailing_list_id>\d+)/',
        'view_mailinglist_subscribe',
            {'form_class': MailingListSubscriptionForm},
        name='newsletter_mailinglist_subscribe'
    ),
    url(
        r'^mailing/subscribe/',
        'view_mailinglist_subscribe',
            {'form_class': AllMailingListSubscriptionForm},
        name='newsletter_mailinglist_subscribe_all'
    ),
)
